The BOOST_PP_LIST_TO_SEQ_R macro converts a list to a seq. It reenters BOOST_PP_FOR with maximum efficiency.

#### Usage

BOOST_PP_LIST_TO_SEQ_R(r, list)

#### Arguments

d
  The next available BOOST_PP_FOR repetition.
list
  The list to be converted.

#### Remarks

If the list to be converted is empty, as represented by 'BOOST_PP_NIL', the resulting seq is undefined since a seq cannot be empty.

#### See Also

- BOOST_PP_LIST_TO_SEQ

#### Requirements

Header: <boost/preprocessor/list/to_seq.hpp>

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)